---
postgresql_version: 14
postgresql_packages:
  - "postgresql-client-{{ postgresql_version }}"
  - "postgresql-{{ postgresql_version }}"
  - "python3-pip"
  - "rsync"
postgresql_user: postgres
postgresql_group: postgres

postgresql_locales:
  - "en_US.UTF-8"
  - "ru_RU.UTF-8"

postgresql_config_file: "/etc/postgresql/{{ postgresql_version }}/main/postgresql.conf"
postgresql_pghba_file: "/etc/postgresql/{{ postgresql_version }}/main/pg_hba.conf"
postgresql_unix_socket_directories:
  - /var/run/postgresql

postgresql_users: []
# - name: jdoe #required; the rest are optional
#   password: # defaults to not set
#   encrypted: # defaults to not set
#   priv: # defaults to not set
#   role_attr_flags: # defaults to not set
#   db: # defaults to not set
#   login_host: # defaults to 'localhost'
#   login_password: # defaults to not set
#   login_user: # defaults to '{{ postgresql_user }}'
#   login_unix_socket: # defaults to 1st of postgresql_unix_socket_directories
#   port: # defaults to not set
#   state: # defaults to 'present'

postgresql_databases: []
# - name: exampledb # required; the rest are optional
#   lc_collate: # defaults to 'en_US.UTF-8'
#   lc_ctype: # defaults to 'en_US.UTF-8'
#   encoding: # defaults to 'UTF-8'
#   template: # defaults to 'template0'
#   login_host: # defaults to 'localhost'
#   login_password: # defaults to not set
#   login_user: # defaults to '{{ postgresql_user }}'
#   login_unix_socket: # defaults to 1st of postgresql_unix_socket_directories
#   port: # defaults to not set
#   owner: # defaults to postgresql_user
#   state: # defaults to 'present'

postgresql_pghba: []
# contype: "host"
# databases: "all"
# users: "all"
# method: "{{ postgresql_auth_method }}"
# source: "8.8.8.8/24"

postgresql_auth_method: "{{ ansible_fips | ternary('scram-sha-256', 'md5') }}"

postgresql_custom_data_path: "{{ postgresql_default_data_dir.stdout }}"
postgresql_replication: false
postgresql_exec_sql: false
postgresql_replication_master_group: "master"
postgresql_replication_slave_group: "slave"
postgresql_replication_user: replicant
postgresql_replication_password: mypass
